using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;

namespace CS_asynplex {
	class BasisChangeProcess : AsynplexProcess {
		int kb;

		public BasisChangeProcess()
			: base("R") {
		}

		public override void run() {
			Message message;
			kb = 0;
			while (!Program.Finished) {
				while ((message = receive()) == null) {
					if (Program.Finished)
						return;
				}
				Debug.Assert(message.tag == "I5->R1");
				int ki = (int)message.payload;
				string output = message.sender + " offers chuzr on basis " + ki + "... ";
				if (ki == kb) {
					send(message.sender, "R2->I6", true);
					++kb;
					output += "accepted";
				}
				else {
					send(message.sender, "R3->I6", false);
					output += "refused";
				}
				print(output);
			}
		}
	}
}
