#ifndef LINALG_H
#define LINALG_H

#include "sparse.h"
#include <vector>

TYPE dotprod( TYPE *x, TYPE *y, int n);
void bmx(int m, TYPE *a, int *ka, int *ia, int *basis, TYPE *x, TYPE *y);
void btmx(int m, TYPE *a, int *ka, int *ia, int *basis, TYPE *x, TYPE *y);
void smx( int m, int n, TYPE *a, int *ka, int *ia, TYPE *x, TYPE *y);
void transposeSparseMatrix(SparseMatrix A, SparseMatrix * AT_ptr);
void transposeMatrix( int m, int n, int *ka, int *ia, TYPE *a,      
        int *kat,int *iat, TYPE *at
        );
TYPE maxv( TYPE *x, int n);
TYPE maxv(const std::vector<TYPE> &);

#endif
