#ifndef TAGS_H
#define TAGS_H

enum Tag {
	C3_I11, 
	C5_I11, 
	I4_C4, 
	I5_R1, 
	I7_I2I3I10, 
	I8_C1, 
	I8_V1, 
	I9_C2, 
	R2_I6, 
	R3_I6, 
	V2_I1
};

// These numbers MUST match the way in which main() decides which ranks should perform which tasks!
#define RANK_OF_FIRST_ITER_PROC 2
#define BASIS_MGR 0
#define COL_SEL_MGR 1
#define ITER_PROC(i) ((i) + RANK_OF_FIRST_ITER_PROC)
#define INV_PROC 8 // Any number that is >= the number of SPEs

#define ANY_ITER_PROC -1
#define ANY_TAG -1

#endif
