#ifndef TREE_H
#define TREE_H

typedef struct tnode {
    int           data;
    struct tnode *parent;
    struct tnode *left;
    struct tnode *right;
} TreeNode;

typedef struct {
	TreeNode * root;
	TreeNode * curnode;
} Tree;

void killtree( Tree * tree );
void addtree( Tree * tree, int data );
void deltree( Tree * tree, int data );
int getfirst( Tree * tree );
int getnext( Tree * tree );
int getlast( Tree * tree );
int getprev( Tree * tree );
void printtree( Tree * tree );

#endif
