#ifndef SAFEVECTOR_H
#define SAFEVECTOR_H

#include <vector>

template<typename T>
class SafeVector : public std::vector<T> {
public:
	T & operator [] (int index) {
		return this->at(index);
	}
	T operator [] (int index) const {
		return this->at(index);
	}
};

#endif
