#ifndef COMMUNICATION_H
#define COMMUNICATION_H

#include "../common/message.h"

void initCommunication();
void sendMessage(Message message);
void sendAll(Message * messagesToBeSent, int numMessages);
Message receiveMessageFromAnyone(const char * receiver);
Message receiveMessage(const char * receiver, const char * sender);
Message receiveMessageWithTag(const char * receiver, const char * sender, const char * tag);
void printMessages();

#endif
