#include "BasisChangeManager.h"
//#include "invertprocessor.h"
//#include "print.h"
#include <stdlib.h>
#include <stdio.h>
#include <assert.h>
#include <pthread.h>
#include <libmisc.h>
//#define print(formatString, ...) printFromProcess(NAME, formatString , ## __VA_ARGS__)
#include "rpc.h"
#include "common/tags.h"

#define isProgramFinished() false
#define RANK RANK_BC

void BasisChangeManager::run() {
	/*int * buffer = (int*)malloc_align(8 * sizeof(int), ALIGN_BUS_LOG2);
	do {
		printf("trying receive\n");fflush(stdout);
		buffer[0] = ANY_SENDER; // Sender
		buffer[1] = RANK; // Receiver
		buffer[2] = ANY_TAG; // Tag
		cellmsg_rpc(receiveRpcMessage, 
					buffer, 4 * sizeof(int), CML_BYTE_SWAP_NOT_NEEDED, 
					buffer, 8 * sizeof(int), CML_BYTE_SWAP_NOT_NEEDED);
	} while (buffer[0] < 0);
	printf("Received %d bytes from %d: tag %d, payload %d\n", buffer[3], buffer[0], buffer[2], buffer[4]);*/
	Communication comm;
	comm.setOwner(BASIS_MGR);
	RpcMessage message;
	const char * result;
	int offerReply;
	int incomingBasis;
	message.payload = &incomingBasis;
	currentBasis = 0;
	printf("R: Basis change manager starting\n");fflush(stdout);
	while (!isProgramFinished()) {
		while (!comm.receiveCopy(ANY_ITER_PROC, I5_R1, message, sizeof(int))) {
			if (isProgramFinished()) {
				printf("R: Basis change manager exiting\n");fflush(stdout);
				return;
			}
		}
		if (incomingBasis == currentBasis) {
			offerReply = 1;
			comm.sendCopy(message.sender, R2_I6, &offerReply, sizeof(int));
			++currentBasis;
			result = "accepted";
		}
		else {
			offerReply = 0;
			comm.sendCopy(message.sender, R3_I6, &offerReply, sizeof(int));
			result = "refused";
		}
		printf("R: I%d offers chuzr on basis %d... %s\n", message.sender, incomingBasis, result);fflush(stdout);
	}
	printf("R: Basis change manager exiting\n");fflush(stdout);
}
