typedef struct {
	VECTOR_TYPE * array;
	int size;
	int totalSize;
} VECTOR_NAME;

void VECTOR_INIT(VECTOR_NAME * vector);
void VECTOR_RESIZE(VECTOR_NAME * vector, int size);
void VECTOR_FREE(VECTOR_NAME * vector);
void VECTOR_APPEND(VECTOR_NAME * vector, VECTOR_TYPE element);
VECTOR_TYPE VECTOR_GET(VECTOR_NAME vector, int index);
void VECTOR_SET(VECTOR_NAME vector, int index, VECTOR_TYPE value);
void VECTOR_REMOVE_AT(VECTOR_NAME * vector, int index);
void VECTOR_COPY(VECTOR_NAME source, VECTOR_NAME * destination);
