#include "genericvectors.h"

#define VECTOR_NAME IntVector
#define VECTOR_TYPE int
#define VECTOR_INIT initIV
#define VECTOR_RESIZE resizeIV
#define VECTOR_FREE freeIV
#define VECTOR_APPEND appendIV
#define VECTOR_GET getIV
#define VECTOR_SET setIV
#define VECTOR_REMOVE_AT removeAtIV
#define VECTOR_COPY copyIV
#include "genericvector_source.h"
#undef VECTOR_COPY
#undef VECTOR_REMOVE_AT
#undef VECTOR_SET
#undef VECTOR_GET
#undef VECTOR_APPEND
#undef VECTOR_FREE
#undef VECTOR_RESIZE
#undef VECTOR_INIT
#undef VECTOR_TYPE
#undef VECTOR_SHORT_NAME
#undef VECTOR_NAME

#define VECTOR_NAME MessageVector
#define VECTOR_TYPE Message
#define VECTOR_INIT initMV
#define VECTOR_RESIZE resizeMV
#define VECTOR_FREE freeMV
#define VECTOR_APPEND appendMV
#define VECTOR_GET getMV
#define VECTOR_SET setMV
#define VECTOR_REMOVE_AT removeAtMV
#define VECTOR_COPY copyMV
#include "genericvector_source.h"
#undef VECTOR_COPY
#undef VECTOR_REMOVE_AT
#undef VECTOR_SET
#undef VECTOR_GET
#undef VECTOR_APPEND
#undef VECTOR_FREE
#undef VECTOR_RESIZE
#undef VECTOR_INIT
#undef VECTOR_TYPE
#undef VECTOR_SHORT_NAME
#undef VECTOR_NAME

#define VECTOR_NAME TypeVector
#define VECTOR_TYPE TYPE
#define VECTOR_INIT initTV
#define VECTOR_RESIZE resizeTV
#define VECTOR_FREE freeTV
#define VECTOR_APPEND appendTV
#define VECTOR_GET getTV
#define VECTOR_SET setTV
#define VECTOR_REMOVE_AT removeAtTV
#define VECTOR_COPY copyTV
#include "genericvector_source.h"
#undef VECTOR_COPY
#undef VECTOR_REMOVE_AT
#undef VECTOR_SET
#undef VECTOR_GET
#undef VECTOR_APPEND
#undef VECTOR_FREE
#undef VECTOR_RESIZE
#undef VECTOR_INIT
#undef VECTOR_TYPE
#undef VECTOR_SHORT_NAME
#undef VECTOR_NAME

#define VECTOR_NAME QueuedVariableRequestVector
#define VECTOR_TYPE QueuedVariableRequest
#define VECTOR_INIT initQVRV
#define VECTOR_RESIZE resizeQVRV
#define VECTOR_FREE freeQVRV
#define VECTOR_APPEND appendQVRV
#define VECTOR_GET getQVRV
#define VECTOR_SET setQVRV
#define VECTOR_REMOVE_AT removeAtQVRV
#define VECTOR_COPY copyQVRV
#include "genericvector_source.h"
#undef VECTOR_COPY
#undef VECTOR_REMOVE_AT
#undef VECTOR_SET
#undef VECTOR_GET
#undef VECTOR_APPEND
#undef VECTOR_FREE
#undef VECTOR_RESIZE
#undef VECTOR_INIT
#undef VECTOR_TYPE
#undef VECTOR_SHORT_NAME
#undef VECTOR_NAME
