#ifndef COLUMNSELECTIONMANAGER_H
#define COLUMNSELECTIONMANAGER_H

typedef enum {
	OTHER_SIDE, 
	UNSELECTED, 
	SELECTED, 
	REJECTED, 
	UNDEFINED
} VariableStatus;

typedef struct {
	VariableStatus status;
	int basisWhereStatusChanged;
} VariableInfo;

typedef struct {
	int unattractiveVariable;
	int basis;
	const char * processName;
	const char * tagToSend;
} QueuedVariableRequest;

void setupColumnSelectionManager(int m, int n);
void * runColumnSelectionManager(void * parameters);

#endif
