#ifndef TALBEAUSIMPLEX_H
#define TALBEAUSIMPLEX_H

#include "Matrix.h"
#include <vector>

enum SimplexResult {
	SUBOPTIMAL,
	OPTIMAL,
	INFEASIBLE_OR_UNBOUNDED
};

class TableauSimplex {
public:
	static SimplexResult iteration(Matrix & tableau, std::vector<int> & basic, std::vector<int> & nonbasic);
	static void pivot(Matrix & tableau, std::vector<int> & basic, std::vector<int> & nonbasic, int leaving, int entering);
};

#endif
