#ifndef GMPINTEROP_H
#define GMPINTEROP_H

#include <iostream>
#ifdef USE_GMP
	#include <gmpxx.h>
	#define ABS(x) abs(x)
#else
	#include <cmath>
	#define ABS(x) fabs(x)
#endif

void readNumber(std::istream & in, TYPE & number);
void printNumber(const TYPE & number);
void printNumberFull(const TYPE & number);

#endif

